Subject: SUBJECT: Restricting Real Users to Home Directories

From: [email-masked]
Date: Thu, 03 Dec 1998 15:33 -0800 (PST)

Greetings,
     
     My environment:
     
     Digital Unix V4.0d w/C2-security enabled
     WU-FTP 2.4
     
     Our FTP server is behind a firewall - DUNIX V4.0b/AltaVista FW 97.
     
     Two problems:
     
     1) Users who have a password longer than 8 characters are denied access.
        I haven't been able to find what is enforcing this limitation.
     
     2) I have a group of users in the 'ftponly' group - I want these users to
        only be able to see what's in their home directories and nothing else.
        Right now they can 'cd' to just about any directory.  I've not been
        able to figure out what I need to change.
     
     Yes, I've read the FAQ and didn't see these issues addressed.  I did see 
     the info about restricting accounts to ftp access only i.e. no telnet, 
     but that's not what I want to do in #2 above.  I want to restrict them 
     only when they're in via ftp. Any hints and/or advice would be much 
     appreciated.
     
     Thanks,
     
     Larry Clegg
     LPL Financial Services
     San Diego, California
     
     [email-masked]

---

From: Gregory A Lundberg <[email-masked]>
Date: Thu, 3 Dec 1998 19:26:21 -0500 (EST)

>      Digital Unix V4.0d w/C2-security enabled

You're running an ancient version and should upgrade.  The current version
is 2.4.2 (beta-18) and don't let the 'beta' fool you.  It's stable and you
want it no matter what management says about beta software.

The location of the latest version of wu-ftpd can be found in the 
directory
 
      ftp://ftp.academ.com/pub/wu-ftpd/private/
 
You can't see the directory contents, so read the message informing you
of the actual filename to retrieve. It's there.
 
wu-ftpd Resource Center:  http://www.landfield.com/wu-ftpd/
wu-ftpd FAQ:              http://www.cetis.hvu.nl/~koos/wu-ftpd-faq.html
wu-ftpd list archive:     http://www.landfield.com/wu-ftpd/mail-archive/

>      Our FTP server is behind a firewall - DUNIX V4.0b/AltaVista FW 97.

See my earlier posting today about firewalls.

>         I haven't been able to find what is enforcing this limitation.

This could be a problem in the ancient version you're running or it could
be a runtime problem.  Dunno.  I don't run DU, but updating the software
would eliminate a lot of problems and make your site far more secure than
it is now.

>         able to figure out what I need to change.

Again, upgrading to the current version might help a lot.  Once you've
done that, if it still doesn't work, take a look at the way the ftponly
group access is set up.

>      only when they're in via ftp. Any hints and/or advice would be much 

See the manpage for ftpaccess, look at the 'guestgroup' feature.  It's
what you want.

I'm thinking you used 'autogroup ftponly' and that's not what you want.

-- 

Gregory A Lundberg		Senior Partner, VRnet Company
1441 Elmdale Drive              [email-masked]
Kettering, OH 45409-1615 USA    1-800-809-2195